Skip to content

insertSalesReturnOrder

WRITE

Insert sales return order.

POST /api/v1/sales/insertSalesReturnOrder
curl -X POST '<your-host>/api/v1/sales/insertSalesReturnOrder' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "customerId": "string",
    "orderDate": "string"
  }'
Response
{
  "id": "string",
  "salesReturnOrderId": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "customerId": {
      "type": "string"
    },
    "salesReturnOrderId": {
      "type": "string"
    },
    "orderDate": {
      "type": "string"
    },
    "customerLocationId": {
      "type": "string"
    },
    "customerContactId": {
      "type": "string"
    },
    "customerReference": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "salesOrderId": {
      "type": "string"
    },
    "currencyCode": {
      "type": "string"
    },
    "expirationDate": {
      "type": "string"
    },
    "assignee": {
      "type": "string"
    },
    "customFields": {}
  },
  "required": [
    "customerId",
    "orderDate"
  ]
}